/***************************************************************************
 *   Copyright (C) 2005 by Andrew Krause                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef AUTOCOMPLETE_H
#define AUTOCOMPLETE_H

#include "openldev.h"
#include "autolist.h"

#include <gdk/gdkkeysyms.h>

// I know this is bad, but I do not really care ... if it is stable enough
// for the Gtk+ internal, it is stable enough for OpenLDev, but I will watch
// it just to make sure. :]
#define GTK_TEXT_USE_INTERNAL_UNSUPPORTED_API
  #include <gtk/gtktextlayout.h>
#undef GTK_TEXT_USE_INTERNAL_UNSUPPORTED_API

bool autocomplete_check_key (GdkEventKey);
bool autocomplete_check_char (char);

#endif
